Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 621446 - [abrt] crash in ipython-0.10-6.fc13: __init__.py:436:_get_configdir:RuntimeError: '/home/kanak' is not a writable dir; you must set /home/kanak/.matplotlib to be a writable dir. You can also set environment variable MPLCONFIGDIR to any writable directory
[abrt] crash in ipython-0.10-6.fc13: __init__.py:436:_get_configdir:RuntimeEr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-matplotlib (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
abrt_hash:ae8f01cf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 00:28 EDT by Kanak Kshetri
Modified: 2013-01-10 05:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:57:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.72 KB, text/plain)
2010-08-05 00:28 EDT, Kanak Kshetri
no flags Details

  None (edit)
Description Kanak Kshetri 2010-08-05 00:28:26 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/ipython -pylab -colors Linux
comment: The matplotlib directory is owned by root, and not me. Chowning the directory fixes the problem.
component: ipython
executable: /usr/bin/ipython
kernel: 2.6.33.6-147.2.4.fc13.i686
package: ipython-0.10-6.fc13
reason: __init__.py:436:_get_configdir:RuntimeError: '/home/kanak' is not a writable dir; you must set /home/kanak/.matplotlib to be a writable dir.  You can also set environment variable MPLCONFIGDIR to any writable directory where you want matplotlib data stored 
release: Fedora release 13 (Goddard)

backtrace
-----
__init__.py:436:_get_configdir:RuntimeError: '/home/kanak' is not a writable dir; you must set /home/kanak/.matplotlib to be a writable dir.  You can also set environment variable MPLCONFIGDIR to any writable directory where you want matplotlib data stored 

Traceback (most recent call last):
  File "/usr/bin/ipython", line 28, in <module>
    IPython.Shell.start().mainloop()
  File "/usr/lib/python2.6/site-packages/IPython/Shell.py", line 1240, in start
    shell = _select_shell(sys.argv)
  File "/usr/lib/python2.6/site-packages/IPython/Shell.py", line 1197, in _select_shell
    import matplotlib
  File "/usr/lib/python2.6/site-packages/matplotlib/__init__.py", line 709, in <module>
    rcParams = rc_params()
  File "/usr/lib/python2.6/site-packages/matplotlib/__init__.py", line 627, in rc_params
    fname = matplotlib_fname()
  File "/usr/lib/python2.6/site-packages/matplotlib/__init__.py", line 565, in matplotlib_fname
    fname = os.path.join(get_configdir(), 'matplotlibrc')
  File "/usr/lib/python2.6/site-packages/matplotlib/__init__.py", line 240, in wrapper
    ret = func(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/matplotlib/__init__.py", line 436, in _get_configdir
    raise RuntimeError("'%s' is not a writable dir; you must set %s/.matplotlib to be a writable dir.  You can also set environment variable MPLCONFIGDIR to any writable directory where you want matplotlib data stored "% (h, h))
RuntimeError: '/home/kanak' is not a writable dir; you must set /home/kanak/.matplotlib to be a writable dir.  You can also set environment variable MPLCONFIGDIR to any writable directory where you want matplotlib data stored 

Local variables in innermost frame:
p: '/home/kanak/.matplotlib'
configdir: None
h: '/home/kanak'

How to reproduce
-----
1. Install Matplotlib
2. Try to use it (in the above, i tried to use it through ipython)
3.
Comment 1 Kanak Kshetri 2010-08-05 00:28:28 EDT
Created attachment 436735 [details]
File: backtrace
Comment 2 Thomas Spura 2010-08-05 10:48:20 EDT
Thanks for the bug report.

If you don't have important data in ~/.matplotlib, I suggest, you delete that folder, and see what, happens next.

Try as root:
"rm -rvf /home/kanak/.matplotlib"

If matplotlib works after that, you had stange permissions set on that folder (possibly done manually?). If it doesn't work, it might be a matplotlib bug.
Comment 3 Thomas Spura 2010-08-05 10:50:46 EDT
(In reply to comment #2)
> Try as root:
> "rm -rvf /home/kanak/.matplotlib"

If that didn't help you can do as root:
mkdir /home/kanak/.matplotlib
chown kanak:kanak /home/kanak/.matplotlib

This won't solve the wrong permissions on your home folder, but matplotlib works again...

(Please check your permissions of your home folder.)
Comment 4 Bug Zapper 2011-06-01 08:05:34 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-28 10:57:49 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.